<template>
  <div>
    <!-- ปุ่ม "รายละเอียดโปรโมชั่น" -->
    <v-dialog max-width="500">
      <template v-slot:activator="{ props: activatorProps }">
        <v-row justify="center">
          <v-col cols="auto">
            <v-btn
              v-bind="activatorProps"
              color="#D32F2F"
              text="
Promotion details"
              variant="flat"
              ><v-icon>mdi-bell</v-icon> Promotion details</v-btn
            >
          </v-col>
        </v-row>
      </template>

      <template v-slot:default="{ isActive }">
        <v-card class="dialog-card">
          <v-card-title class="dialog-title">
            <span class="headline"><v-icon>mdi-bell</v-icon> Promotion details</span>
          </v-card-title>
          <v-card-text class="dialog-content">
            <!-- Mock DATA -->
            <h3>PROMOTION1</h3>
            <h3>PROMOTION2</h3>
            <h3>PROMOTION3</h3>
            <ul>
              <li>เผื่ออยากใส่เงื่อนไขหรือวิธีใช้</li>
              <li>เผื่ออยากใส่เงื่อนไขหรือวิธีใช้</li>
            </ul>
          </v-card-text>

          <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn text="Close" @click="isActive.value = false"></v-btn>
          </v-card-actions>
        </v-card>
      </template>
    </v-dialog>

    <!-- ปุ่ม "Location" -->
    <v-dialog max-width="500">
      <template v-slot:activator="{ props: activatorProps }">
        <v-row justify="center">
          <v-col cols="auto">
            <v-btn v-bind="activatorProps" color="#42A5F5" text="Location" variant="flat"
              ><v-icon>mdi-map-marker</v-icon>Location</v-btn
            >
          </v-col>
        </v-row>
      </template>

      <template v-slot:default="{ isActive }">
        <v-card class="dialog-card">
          <v-card-title class="dialog-title2">
            <span class="headline"><v-icon>mdi-map-marker</v-icon>Location</span>
          </v-card-title>
          <v-card-text class="dialog-content">
            <!-- Mock DATA -->
            <h3>ร้านตั้งอยู๋ที่: Faculty of Allied Health Sciences, Burapha University</h3>
            <ul>
              <li>ตำบล: เทศบาลเมืองชลบุรี</li>
              <li>อำเภอ/เมือง: เทศบาลเมืองชลบุรี</li>
              <li>จังหวัด: ชลบุรี</li>
              <li>รหัสไปรษณีย์: 20131</li>
            </ul>
            <h3>เบอร์โทร : 095 332 5290</h3>
          </v-card-text>

          <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn text="Close" @click="isActive.value = false"></v-btn>
          </v-card-actions>
        </v-card>
      </template>
    </v-dialog>
  </div>
</template>

<style>
.dialog-card {
  border-radius: 15px;
  /* กำหนดขอบเรียบ */
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  /* เพิ่มเงาเรียบ */
}

.dialog-title {
  background-color: #d32f2f;
  /* สีพื้นหลังของหัวข้อ */
  color: #fff;
  /* สีของตัวอักษรในหัวข้อ */
  padding: 16px;
  /* ระยะห่างขอบภายในหัวข้อ */
}

.dialog-title2 {
  background-color: #42a5f5;
  /* สีพื้นหลังของหัวข้อ */
  color: #fff;
  /* สีของตัวอักษรในหัวข้อ */
  padding: 16px;
  /* ระยะห่างขอบภายในหัวข้อ */
}

.dialog-content {
  padding: 20px;
  /* ระยะห่างขอบภายในเนื้อหา */
}

.dialog-content ul {
  padding-left: 20px;
  /* ระยะห่างซ้ายของรายการ */
}

.dialog-actions {
  border-bottom-left-radius: 15px;
  /* กำหนดขอบล่างซ้าย */
  border-bottom-right-radius: 15px;
  /* กำหนดขอบล่างขวา */
  padding: 16px;
  /* ระยะห่างขอบภายใน actions */
  display: flex;
  justify-content: flex-end;
  /* จัดตำแหน่งปุ่มไปทางขวา */
}
</style>
